%global pypi_name djangorestframework
%global commitId 2da473c8c8e024e80c13a624782f1da6272812da

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.14.0
Release:        1%{?dist}
Summary:        Web APIs for Django, made easy

License:        BSD
URL:            https://github.com/encode/django-rest-framework
Source0:        python-djangorestframework-2da473c8c8e024e80c13a624782f1da6272812da.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%global _description %{expand:
Django REST framework is a powerful and flexible toolkit for building Web APIs.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:       python%{python3_pkgversion}-django >= 3.0
Requires:       python%{python3_pkgversion}-pytz

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/rest_framework
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jul 07 2023 Satoe Imaishi <simaishi@redhat.com> - 3.14.0-1
- Update to 3.14.0

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 3.13.1-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Apr 27 2022 Odilon Sousa <osousa@redhat.com> - 3.13.1-1
- Release python-djangorestframework 3.13.1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.12.4-5
- Build against python 3.9

* Tue Oct 19 2021 Evgeni Golov - 3.12.4-4
- Obsolete the old Python 3.6 package for smooth upgrade

* Thu Sep 09 2021 Evgeni Golov - 3.12.4-3
- Correct django-rest-framework Provides to mention Python 3.8

* Wed Sep 08 2021 Evgeni Golov - 3.12.4-2
- Build against Python 3.8

* Wed Mar 31 2021 Evgeni Golov 3.12.4-1
- Update to 3.12.4

* Mon Jan 11 2021 Evgeni Golov 3.12.2-1
- Update to 3.12.2

* Mon Dec 21 2020 Evgeni Golov - 3.12.1-2
- Add provides for python3-django-rest-framework

* Mon Nov 02 2020 Evgeni Golov 3.12.1-1
- Update to 3.12.1

* Thu Oct 29 2020 Evgeni Golov 3.11.2-1
- Update to 3.11.2

* Mon Sep 28 2020 Evgeni Golov 3.11.1-1
- Update to 3.11.1

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.10.3-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.10.3-1
- Initial package.
